import type { RouteRecordRaw } from "vue-router";
import Middleware from "@/js/contexts/shared/models/Middleware";
import { Permission } from "@/js/contexts/shared/models/Permission";

const routes: RouteRecordRaw[] = [
  {
    name: "admin.links",
    path: "/admin/links",
    component: () => import("@/js/contexts/admin/links/ui/pages/LinksListPage.vue"),
    meta: {
      middleware: [Middleware.auth],
      permissions: [Permission.ADMIN_LINKS_VIEW],
    },
    children: [
      {
        name: "admin.links.update",
        path: "/admin/links/:id",
        component: () => import("@/js/contexts/admin/links/ui/pages/LinksUpdatePage.vue"),
        meta: {
          middleware: [Middleware.auth],
          permissions: [Permission.ADMIN_LINKS_UPDATE],
        },
      },
      {
        name: "admin.links.analytics",
        path: "/admin/links/:id/analytics",
        component: () => import("@/js/contexts/admin/links/ui/pages/LinksAnalyticsPage.vue"),
        meta: {
          middleware: [Middleware.auth],
          permissions: [Permission.ADMIN_LINKS_VIEW],
        },
      },
    ],
  },
];

export default routes;
